package com.casic.dcms.utils;

import com.pengxh.androidx.lite.utils.SaveKeyValues;

public class AuthenticationHelper {

    public static void savePublicKey(String key) {
        SaveKeyValues.putValue("keyString", key);
    }

    public static String getPublicKey() {
        return (String) SaveKeyValues.getValue("keyString", "");
    }

    public static void saveToken(String token) {
        SaveKeyValues.putValue("token", token);
    }

    public static String getToken() {
        return (String) SaveKeyValues.getValue("token", "");
    }

    public static void removeToken() {
        SaveKeyValues.removeKey("token");
    }
}
